## org.python.core
Class PyList

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PySequence
              org.python.core.PySequenceList
                  org.python.core.PyList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.List

Direct Known Subclasses:
  PyListDerived

    public class PyList

extends PySequenceList

A builtin python list.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`static java.lang.Class` `exposed_base`
`static java.lang.String` `exposed_name`

Constructor Summary
`PyList()`
`PyList(PyObject o)`
`PyList(PyObject[] elements)`
`PyList(PyType type)`
`PyList(PyType type, java.util.Collection c)`
`PyList(PyType type, PyObject[] elements)`
`PyList(java.util.Vector v)`

Method Summary
`PyObject` `__add__(PyObject o)` Equivalent to the standard Python __add__ method
`PyTuple` `__getnewargs__()`
`PyObject` `__iadd__(PyObject o)` Equivalent to the standard Python __iadd__ method
`PyObject` `__imul__(PyObject o)` Equivalent to the standard Python __imul__ method
`int` `__len__()` Equivalent to the standard Python __len__ method.
`PyObject` `__radd__(PyObject o)` Equivalent to the standard Python __radd__ method
`PyObject` `__reduce__()` Used for pickling.
`void` `append(PyObject o)` Add a single element to the end of list.
`static void` `classDictInit(PyObject dict)`
`int` `count(PyObject o)` Return the number elements in the list that equals the argument.
`void` `extend(PyObject o)` Append the elements in the argument sequence to the end of the list.
`int` `hashCode()`
`int` `index(PyObject o)` return smallest index where an element in the list equals the argument.
`int` `index(PyObject o, int start)`
`int` `index(PyObject o, int start, int stop)`
`void` `insert(int index, PyObject o)` Insert the argument element into the list at the specified index.
`PyObject` `pop()` Removes and return the last element in the list.
`PyObject` `pop(int n)` Removes and return the `n` indexed element in the list.
`void` `remove(PyObject o)` Remove the first occurence of the argument from the list.
`void` `reverse()` Reverses the items of s in place.
`java.lang.String` `safeRepr()`
`void` `sort()` Sort the items of the list in place.
`void` `sort(PyObject compare)` Sort the items of the list in place.
`java.lang.String` `toString()`
`static void` `typeSetup(PyObject dict, PyType.Newstyle marker)`

Methods inherited from class org.python.core.PySequenceList
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, getArray, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, pyadd, pyadd, pyget, pyset, remove, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Methods inherited from class org.python.core.PySequence
`__delitem__, __delslice__, __eq__, __finditem__, __finditem__, __ge__, __getitem__, __getslice__, __gt__, __iter__, __le__, __lt__, __ne__, __nonzero__, __setitem__, __setitem__, __setslice__, __tojava__, isMappingType, isNumberType`

Methods inherited from class org.python.core.PyObject

`__abs__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delslice__, __dir__, __div__, __divmod__, __findattr__, __findattr__, __finditem__, __float__, __floordiv__, __get__, __getattr__, __getattr__, __getitem__, __getslice__, __hash__, __hex__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iternext__, __itruediv__, __ixor__, __long__, __lshift__, __mod__, __mul__, __neg__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __rand__, __rdiv__, __rdivmod__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setslice__, __str__, __sub__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asInt, asLong, asName, asString, asStringOrNull, delDict, delType, dispatch__init__, fastGetClass, fastGetDict, getDict, getDoc, getType, implementsDescrDelete, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isSequenceType, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### exposed_name

    public static final java.lang.String exposed_name

See Also:
  Constant Field Values

### exposed_base

    public static final java.lang.Class exposed_base

Constructor Detail

### PyList

    public PyList()

### PyList

    public PyList(PyType type)

### PyList

    public PyList(PyType type,
                  PyObject[] elements)

### PyList

    public PyList(PyType type,
                  java.util.Collection c)

### PyList

    public PyList(java.util.Vector v)

### PyList

    public PyList(PyObject[] elements)

### PyList

    public PyList(PyObject o)

Method Detail

### classDictInit

    public static void classDictInit(PyObject dict)
                              throws PyIgnoreMethodTag

  Throws:
    `PyIgnoreMethodTag`

### typeSetup

    public static void typeSetup(PyObject dict,
                                 PyType.Newstyle marker)

### safeRepr

    public java.lang.String safeRepr()
                              throws PyIgnoreMethodTag

  Overrides:
    `safeRepr` in class `PyObject`
  Throws:
    `PyIgnoreMethodTag`

### __len__

    public int __len__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __len__ method. Part of the mapping discipline.

  Overrides:
    `__len__` in class `PyObject`
  Returns:
    the length of the object

### __imul__

    public PyObject __imul__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __imul__ method

  Overrides:
    `__imul__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the mul, or null if this operation is not defined

### __add__

    public PyObject __add__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __add__ method

  Overrides:
    `__add__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined

### __radd__

    public PyObject __radd__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __radd__ method

  Overrides:
    `__radd__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PySequenceList`

### append

    public void append(PyObject o)

  Add a single element to the end of list.

  Parameters:
    `o` - the element to add.

### count

    public int count(PyObject o)

  Return the number elements in the list that equals the argument.

  Parameters:
    `o` - the argument to test for. Testing is done with the `==` operator.

### index

    public int index(PyObject o)

  return smallest index where an element in the list equals the argument.

  Parameters:
    `o` - the argument to test for. Testing is done with the `==` operator.

### index

    public int index(PyObject o,
                     int start)

### index

    public int index(PyObject o,
                     int start,
                     int stop)

### insert

    public void insert(int index,
                       PyObject o)

  Insert the argument element into the list at the specified index.
  Same as `s[index:index] = [o] if index >= 0`.

  Parameters:
    `index` - the position where the element will be inserted.
    `o` - the element to insert.

### remove

    public void remove(PyObject o)

  Remove the first occurence of the argument from the list. The elements arecompared with the `==` operator.
  Same as `del s[s.index(x)]`

  Parameters:
    `o` - the element to search for and remove.

### reverse

    public void reverse()

  Reverses the items of s in place. The reverse() methods modify the list in place for economy of space when reversing a large list. It doesn't return the reversed list to remind you of this side effect.

### pop

    public PyObject pop()

  Removes and return the last element in the list.

### pop

    public PyObject pop(int n)

  Removes and return the `n` indexed element in the list.

  Parameters:
    `n` - the index of the element to remove and return.

### extend

    public void extend(PyObject o)

  Append the elements in the argument sequence to the end of the list.
  Same as `s[len(s):len(s)] = o`.

  Parameters:
    `o` - the sequence of items to append to the list.

### __iadd__

    public PyObject __iadd__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __iadd__ method

  Overrides:
    `__iadd__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined

### sort

    public void sort(PyObject compare)

  Sort the items of the list in place. The compare argument is a function of two arguments (list items) which should return -1, 0 or 1 depending on whether the first argument is considered smaller than, equal to, or larger than the second argument. Note that this slows the sorting process down considerably; e.g. to sort a list in reverse order it is much faster to use calls to the methods sort() and reverse() than to use the built-in function sort() with a comparison function that reverses the ordering of the elements.

  Parameters:
    `compare` - the comparison function.

### sort

    public void sort()

  Sort the items of the list in place. Items is compared with the normal relative comparison operators.

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Collection`
  Specified by:
    `hashCode` in interface `java.util.List`
  Overrides:
    `hashCode` in class `PySequenceList`

### __reduce__

    public PyObject __reduce__()

  Used for pickling.

  Overrides:
    `__reduce__` in class `PyObject`
  Returns:
    a tuple of (class, tuple)

### __getnewargs__

    public PyTuple __getnewargs__()

  Overrides:
    `__getnewargs__` in class `PyObject`

Jython homepage